# Uses of Class
it.tdlight.jni.TdApi.PremiumStatePaymentOption

## Uses of TdApi.PremiumStatePaymentOption in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.PremiumStatePaymentOption
Modifier and Type
Field
Description
`TdApi.PremiumStatePaymentOption[]`
TdApi.PremiumState.`paymentOptions`
The list of available options for buying Telegram Premium.
Constructors in it.tdlight.jni with parameters of type TdApi.PremiumStatePaymentOption
Modifier
Constructor
Description
``
`PremiumState(TdApi.FormattedText state, TdApi.PremiumStatePaymentOption[] paymentOptions, TdApi.PremiumFeaturePromotionAnimation[] animations)`
Contains state of Telegram Premium subscription and promotion videos for Premium features.